Skip to main content
POST
/
v1beta
/
documents
/
{document_id}
/
transfer
TypeScript
import { Factify } from "@factify/sdk";

const factify = new Factify({
  bearerAuth: "<YOUR_BEARER_TOKEN_HERE>",
});

async function run() {
  const result = await factify.documents.transferOwnership({
    documentId: "doc_01h2xcejqtf2nbrexx3vqjhp41",
    body: {
      newOwnerId: "user_01h2xcejqtf2nbrexx3vqjhp41",
    },
  });

  console.log(result);
}

run();
{
  "document_id": "<string>",
  "new_owner_id": "<string>"
}

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer , where is your auth token.

Path Parameters

document_id
string
required

Document ID.

Pattern: ^doc_[0-9a-hjkmnp-tv-z]{26}$
Example:

"doc_01h2xcejqtf2nbrexx3vqjhp41"

Body

application/json

TransferDocumentOwnershipRequest specifies the document and new owner.

new_owner_id
string

User ID of the new owner.

Pattern: ^user_[0-9a-hjkmnp-tv-z]{26}$
Example:

"user_01h2xcejqtf2nbrexx3vqjhp41"

Response

Success

TransferDocumentOwnershipResponse confirms the transfer.

document_id
string

Document ID that was transferred.

new_owner_id
string

User ID of the new owner.